pkgsrc/misc/openoffice2/patches/patch-bv
hira 8d1204f94f - Use CONFIGURE_DIR.
- Fix "test ==".

From wiz@ in private e-mail.
2007-03-04 13:11:18 +00:00

29 lines
1.1 KiB
Text

$NetBSD: patch-bv,v 1.1 2007/03/04 13:11:20 hira Exp $
--- setup_native/scripts/linuxpatchscript.sh.orig 2007-03-04 21:42:59.000000000 +0900
+++ setup_native/scripts/linuxpatchscript.sh 2007-03-04 21:43:36.000000000 +0900
@@ -25,7 +25,7 @@
echo
read -p "Patching the installation in ${PRODUCTINSTALLLOCATION}. Continue (y/n) ? " -n 1 reply leftover
echo
-[ "$reply" == "y" ] || exit 1
+[ "$reply" = "y" ] || exit 1
echo
echo "About to update the following packages ..."
@@ -53,13 +53,13 @@
# Check, that $RPMLIST does not contain online update rpm (then it is already installed)
ONLINEPDATEINSTALLED=`grep onlineupdate ${RPMLIST}`
- if [ "x$ONLINEPDATEINSTALLED" == "x" ]; then
+ if [ "x$ONLINEPDATEINSTALLED" = "x" ]; then
# Ask user, if online update shall be installed
echo
read -p "Do you want to install the new online update feature (y/n) ? " -n 1 reply leftover
echo
- if [ "$reply" == "y" ]; then
+ if [ "$reply" = "y" ]; then
# Install the online update rpm
rpm --install -v --hash --prefix $PRODUCTINSTALLLOCATION --notriggers $ONLINEUPDATERPM
fi